%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define oname		QHttpEngine

Name:		qhttpengine
Version:	1.0.1
Release:	%mkrel 1
Summary:	HTTP server for Qt applications
Group:		System/Libraries
License:	MIT
URL:		https://nitroshare.net
# https://github.com/nitroshare/qhttpengine
Source0:	https://launchpad.net/qhttpengine/0.1/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5network-devel


%description
QHttpEngine provides a set of Qt classes that enable applications to expose
functionality through an HTTP interface. Handlers are provided that allow
directories containing static files to be served directly from the application
as well as allow scripts or other tools to interact with the application
through an API.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Obsoletes: lib64qhttpengine0

%description -n %{libname}
QHttpEngine provides a set of Qt classes that enable applications to expose
functionality through an HTTP interface. Handlers are provided that allow
directories containing static files to be served directly from the application
as well as allow scripts or other tools to interact with the application
through an API.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5

%make

%install
rm -rf %buildroot
%make_install -C build

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Oct 02 2022 tex - 1.0.1-1pclos2022
- new version

* Fri Mar 03 2017 bb2 <bb2> - 0.1.0-1pclos2017
- import for nitroshare
